"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_shared_1 = require("@dgui/react-shared");
const react_1 = require("react");
const react_router_1 = require("react-router");
const E404 = ({ defaultTab }) => {
    const hasRendered = (0, react_1.useRef)(false);
    const navigate = (0, react_router_1.useNavigate)();
    const location = (0, react_router_1.useLocation)();
    const tabOrder = (0, react_shared_1.useTabOrder)();
    const tabs = (0, react_shared_1.useTabs)();
    (0, react_1.useEffect)(() => {
        if (hasRendered.current &&
            !Object.values(tabs).some((tab) => {
                const path = (0, react_router_1.generatePath)((tab === null || tab === void 0 ? void 0 : tab.tabPath) || '', {
                    tabId: tab === null || tab === void 0 ? void 0 : tab.tabId
                });
                return location.pathname.includes(path);
            })) {
            const tab = tabs[tabOrder[defaultTab]] || tabs[tabOrder[0]];
            const generatedPath = (0, react_router_1.generatePath)((tab === null || tab === void 0 ? void 0 : tab.tabPath) || '', {
                tabId: tab === null || tab === void 0 ? void 0 : tab.tabId
            });
            navigate(generatedPath, {
                relative: 'route',
                replace: true
            });
        }
    }, [
        tabs,
        hasRendered.current
    ]);
    (0, react_1.useEffect)(() => {
        hasRendered.current = true;
    }, []);
    return null;
};
E404.displayName = 'E404';
exports.default = E404;
//# sourceMappingURL=index.js.map